MONGOC_URI_GET_SSL(3)

NAME
mongoc_uri_get_ssl - mongoc_uri_get_ssl()

WARNING: Deprecated since version 1.15.0: This function is deprecated and should not be used in new code. See Manage Collection Indexes.

This function is deprecated and should not be used in new code.

Please use mongoc_uri_get_tls() in new code.

SYNOPSIS

bool
mongoc_uri_get_ssl (const mongoc_uri_t *uri)
   BSON_GNUC_DEPRECATED_FOR (mongoc_uri_get_tls);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Fetches a boolean indicating if TLS was specified for use in the URI.

RETURNS

Returns a boolean, true indicating that TLS should be used. This returns true if any TLS option is specified.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc